# StopTripCallback

This interface is used with [`stopTrip(StopTripCallback)`](/important-topics/sdk/api-reference/android/sentiance.md#stoptrip-stoptripcallback).

## StopTripCallback API

### `onSuccess()`

> ```java
> void onSuccess()
> ```
>
> Called when an external trip is successfully stopped.

### `onFailure()`

> ```java
> void onFailure(@Nullable SdkStatus sdkStatus)
> ```
>
> Called when a trip stop fails. Check the [`SdkStatus`](/important-topics/sdk/api-reference/android/sdkstatus.md) object to find out why.
>
> This method is also called when [`stopTrip(StopTripCallback)`](/important-topics/sdk/api-reference/android/sentiance.md#stoptrip) is called while no external trip exists. To check if there is an ongoing external trip, call [`isTripOngoing()`](/important-topics/sdk/api-reference/android/sentiance.md#istripongoing).

| Parameters |                                                                                                                      |
| ---------- | -------------------------------------------------------------------------------------------------------------------- |
| sdkStatus  | An [`SdkStatus`](/important-topics/sdk/api-reference/android/sdkstatus.md) object containing the current SDK status. |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.sentiance.com/important-topics/sdk/api-reference/android/trip/stoptripcallback.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
